## 颜佳佳论文

### 网络结构优化

**直接SNMF分解（无优化）**

- **输入矩阵**：原始动态网络邻接矩阵 $A$（可能稠密或高秩）
- **处理流程**：
  - 直接对称非负矩阵分解：$A \approx UU^T$
  - 通过迭代调整$U$和旋转矩阵$Q$逼近目标
- **存在问题**：
  - 高秩矩阵需要保留更多特征值（$\kappa$较大）
  - **非稀疏矩阵计算效率低**

**先优化再SNMF（论文方法）**

- **优化阶段**（ADMM）：
  - 目标函数：$\min_{A_{\text{opt}}} (1-\alpha)\|A_{\text{opt}}\|_* + \alpha\|A_{\text{opt}}\|_1$
  - 输出优化矩阵$A_{\text{opt}}$
- **SNMF阶段**：
  - 输入变为优化后的$A_{\text{opt}}$
  - 保持相同分解流程但效率更高
